Bug 1886696 - KeyError on self._existing_vifs[port_id]
Summary: KeyError on self._existing_vifs[port_id]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1884655
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-09 06:58 UTC by OpenShift BugZilla Robot
Modified: 2020-11-09 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-09 15:50:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
NP+Conformance results with the fix (1.15 MB, application/gzip)
2020-10-28 16:09 UTC, rlobillo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 367 0 None open [release-4.6] Bug 1886696: Add protection from unexpected issues 2020-10-26 07:15:09 UTC
Red Hat Product Errata RHBA-2020:4339 0 None None None 2020-11-09 15:51:22 UTC

Comment 3 rlobillo 2020-10-28 16:08:15 UTC
Verified on OCP4.6.0-0.nightly-2020-10-28-001707 over OSP16.1 with OVN-Octavia (RHOS-16.1-RHEL-8-20201007.n.0)


Fix is in:

$ oc rsh -n openshift-kuryr kuryr-controller-598d4bf657-6gs9g grep "previous_ports_to_remove.append(subport.id)" /usr/lib/python3.6/site-packages/kuryr_kubernetes/contr
oller/drivers/vif_pool.py -B10
            for subport in detached_subports:
                # FIXME(ltomasbo): Looking for trunk:subport is only needed
                # due to a bug in neutron that does not reset the
                # device_owner after the port is detached from the trunk
                if subport.device_owner not in ['', 'trunk:subport']:
                    continue
                if subport.id not in previous_ports_to_remove:
                    # FIXME(ltomasbo): Until the above problem is there,
                    # we need to add protection for recently created ports
                    # that are still being attached
                    previous_ports_to_remove.append(subport.id)


NP and conformance test run with expected results. Mentioned exception is not observed. Logs attached.

Comment 4 rlobillo 2020-10-28 16:09:04 UTC
Created attachment 1724863 [details]
NP+Conformance results with the fix

Comment 6 errata-xmlrpc 2020-11-09 15:50:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4339


Note You need to log in before you can comment on or make changes to this bug.